ur_rna.Utilities

## Class SimpleDataSerializer.OutputFormatSettings

- java.lang.Object
- - ur_rna.Utilities.SimpleDataSerializer.OutputFormatSettings

- All Implemented Interfaces:
    java.lang.Cloneable
  Enclosing class:
    SimpleDataSerializer

      public static class SimpleDataSerializer.OutputFormatSettings
      extends java.lang.Object
      implements java.lang.Cloneable

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `boolean` | `commasInLists`
    `boolean` | `commasInMaps`
    `int` | `indent`
    `boolean` | `inlineLists`
    `boolean` | `inlineMaps`
    `static SimpleDataSerializer.OutputFormatSettings` | `JSON`
    `static SimpleDataSerializer.OutputFormatSettings` | `PrettyJSON`
    `static SimpleDataSerializer.OutputFormatSettings` | `PrettySSON`
    `boolean` | `quoteAlways`
    `boolean` | `quoteProps`
    `boolean` | `spaceAfterProp`
    `static SimpleDataSerializer.OutputFormatSettings` | `SSON`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OutputFormatSettings()`
    `OutputFormatSettings(int indent, boolean strict)`
    `OutputFormatSettings(int indent, boolean quoteAlways, boolean quoteProps, boolean inlineLists, boolean inlineMaps, boolean commasInLists, boolean commasInMaps, boolean spaceAfterProp)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SimpleDataSerializer.OutputFormatSettings` | `clone()`
    `boolean` | `equals(java.lang.Object o)`
    `int` | `hashCode()`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### commasInLists

          public boolean commasInLists

    - #### commasInMaps

          public boolean commasInMaps

    - #### indent

          public int indent

    - #### inlineLists

          public boolean inlineLists

    - #### inlineMaps

          public boolean inlineMaps

    - #### JSON

          public static final SimpleDataSerializer.OutputFormatSettings JSON

    - #### PrettyJSON

          public static final SimpleDataSerializer.OutputFormatSettings PrettyJSON

    - #### PrettySSON

          public static final SimpleDataSerializer.OutputFormatSettings PrettySSON

    - #### quoteAlways

          public boolean quoteAlways

    - #### quoteProps

          public boolean quoteProps

    - #### spaceAfterProp

          public boolean spaceAfterProp

    - #### SSON

          public static final SimpleDataSerializer.OutputFormatSettings SSON

  - ### Constructor Detail

    - #### OutputFormatSettings

          public OutputFormatSettings()

    - #### OutputFormatSettings

          public OutputFormatSettings(int indent,
                                      boolean strict)

    - #### OutputFormatSettings

          public OutputFormatSettings(int indent,
                                      boolean quoteAlways,
                                      boolean quoteProps,
                                      boolean inlineLists,
                                      boolean inlineMaps,
                                      boolean commasInLists,
                                      boolean commasInMaps,
                                      boolean spaceAfterProp)

  - ### Method Detail

    - #### clone

          public SimpleDataSerializer.OutputFormatSettings clone()

      Overrides:
        `clone` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`